Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class ComponentRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.ComponentRendererBase

    public abstract class ComponentRendererBase

extends RendererBase

Components Base Renderer for all chameleon Skin's and components. At most, make all common procedures and realise concrete work in "template" methods.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:52 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`protected static java.lang.String` | `COMPONENT_RENDERER_BASE` logger for common cases.

Constructor Summary
`ComponentRendererBase()`

Method Summary
`ComponentVariables` | `getVariables(javax.faces.component.UIComponent component)`
`void` | `removeVariables(javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_RENDERER_BASE

    protected static final java.lang.String COMPONENT_RENDERER_BASE

  logger for common cases.

Constructor Detail

### ComponentRendererBase

    public ComponentRendererBase()

Method Detail

### getVariables

    public ComponentVariables getVariables(javax.faces.component.UIComponent component)

### removeVariables

    public void removeVariables(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.